script for kdenlive_svn

#!/bin/bash

# kommander wizard does not run under kde4
# this is the first beginning steps for a bash script
# include mlt frei0r ffmpeg kdenlive

# help desired

echo "kdenlive-updater by forty"

revision_OK="Already up-to-date."
kdenlive_dir=$HOME/kdenlive_SVN

fetch_ffmpeg="svn checkout svn://svn.ffmpeg.org/ffmpeg/trunk ffmpeg"
ffmpeg_conf="./configure --prefix=/usr --enable-shared --enable-libmp3lame --enable-gpl --enable-libfaad
--enable-libvorbis --enable-pthreads --enable-libfaac --enable-libxvid --enable-postproc
--enable-x11grab --enable-libgsm --enable-libx264 --enable-libtheora --enable-libdc1394
--enable-nonfree --disable-stripping --enable-avfilter --enable-libdirac --disable-decoder=libdirac
--enable-libschroedinger --enable-decoder=mpeg_vpau --enable-avfilter-lavf"

fetch_mlt="git clone git://gitorious.org/mlt/mlt.git"
mlt_conf="./configure --prefix=/usr --enable-gpl --qimage-libdir=/usr/lib/
--qimage-includedir=/usr/include/qt4 --avformat-swscale --disable-mmx --enable-motion-est --disable-sox"

fetch_frei0r="git clone git://code.dyne.org/frei0r.git"
frei0r_conf="./configure --prefix=/usr"

fetch_kdenlive="svn co https://kdenlive.svn.sourceforge.net/svnroot/kdenlive/trunk/kdenlive kdenlive"
kdenlive_conf="cmake_ .. -DCMAKE_INSTALL_PREFIX=/usr"

# looking if the dir kdenlive_SVN exist. if no, make_ it and run_all

start(){
if ! [ -d "$kdenlive_dir" ]; then
mkdir $kdenlive_dir
cd $kdenlive_dir
fi
run_all
}

# if configure or make_ failed

failed(){
error=$?
echo -e "\e[01;31mError" $error ">>> Compiling" $name "\e[00m \n"
sleep 3
return 1 # if you want, you can take exit 1
}

# run all updates

run_all(){
echo -e "Starting Progress..." "\n"
name=mlt; mlt
name=frei0r; frei0r
name=ffmpeg; ffmpeg
name=kdenlive; kdenlive
}

# looking for git updates

run_git(){
echo -e "\e[01;36m"Update \> $name"\e[00m"
git pull | while read LINE
do
if [ "$LINE" == "$revision_OK" ]; then
echo -e "\e[01;36m"$name \> $revision_OK "\e[00m \n"
echo ""
else
make_
fi
done
}

# looking for svn updates

run_svn(){
echo -e "\e[01;36m"Update \> $name"\e[00m"
oldrev=$(svn info |grep '^Revision: '|sed 's/Revision: //g')
svn up
newrev=$(svn info |grep '^Revision: '|sed 's/Revision: //g')

if [ "$oldrev" == "$newrev" ]; then
echo -e "\e[01;36m"$name \> $revision_OK "\e[00m \n"
else
if [ "$name" == "kdenlive" ]; then
cd build
fi
make_
fi
}

# mlt

mlt(){
if test -d $kdenlive_dir/$name; then
cd $kdenlive_dir/$name
run_git
else
cd $kdenlive_dir
$fetch_mlt
cd $name
$mlt_conf
make_
fi
}

# frei0r

frei0r(){
if test -d $kdenlive_dir/$name; then
cd $kdenlive_dir/$name
run_git
else
cd $kdenlive_dir
$fetch_frei0r
cd $name
./autogen.sh
$frei0r_conf
make_
fi
}

# ffmpeg

ffmpeg(){
if test -d $kdenlive_dir/$name; then
cd $kdenlive_dir/$name
run_svn
else
cd $kdenlive_dir
$fetch_ffmpeg
cd $name
$ffmpeg_conf
make_
fi
}

# kdenlive

kdenlive(){
if test -d $kdenlive_dir/$name; then
cd $kdenlive_dir/$name
run_svn
else
cd $kdenlive_dir
$fetch_kdenlive
cd $name
mkdir build
cd build
$kdenlive_conf
make_
fi
}

# make

make_(){
echo -e "\e[01;36m"Configure... make... \> $name"\e[00m"
make || failed
}

start

hi

very good ..

i suppose it works ...

i will test ....

nyme

#!/bin/bash

echo "kdenlive_SVN by forty"
echo "the dev's packages must be included"
echo "sorry for that, coming soon"
sleep 3

trap control_c INT # if ctrl & c are pressed

name=("mlt" "frei0r" "ffmpeg" "x264" "kdenlive") # here you can add more

revision_OK="Already up-to-date."
kdenlive_dir=$HOME/kdenlive_SVN

fetch_ffmpeg="svn checkout svn://svn.ffmpeg.org/ffmpeg/trunk ffmpeg"
ffmpeg_conf="./configure --prefix=/usr --enable-shared --enable-libmp3lame --enable-gpl --enable-libfaad
--enable-libvorbis --enable-pthreads --enable-libfaac --enable-libxvid --enable-postproc
--enable-x11grab --enable-libgsm --enable-libx264 --enable-libtheora --enable-libdc1394
--enable-nonfree --disable-stripping --enable-avfilter --enable-libdirac --disable-decoder=libdirac
--enable-libschroedinger --enable-decoder=mpeg_vdpau --enable-avfilter-lavf"

fetch_mlt="git clone git://gitorious.org/mlt/mlt.git"
mlt_conf="./configure --prefix=/usr --enable-gpl --qimage-libdir=/usr/lib/
--qimage-includedir=/usr/include/qt4 --avformat-swscale --disable-mmx --enable-motion-est --disable-sox"

fetch_frei0r="git clone git://code.dyne.org/frei0r.git"
frei0r_conf="./configure --prefix=/usr"

fetch_kdenlive="svn co https://kdenlive.svn.sourceforge.net/svnroot/kdenlive/trunk/kdenlive kdenlive"
kdenlive_conf="cmake_ .. -DCMAKE_INSTALL_PREFIX=/usr"

fetch_x264="git clone git://git.videolan.org/x264.git"
x264_conf="./configure --prefix=/usr"

# if configure or make_ failed

failed(){
error=$?
echo -e "\e[01;31mError" $error ">>> Compiling" ${name[$i]} "\e[00m \n"
err+=${name[$i]}" "
sleep 3
return 1 # if you want, you can take exit 1
}

control_c(){
echo -e "\n Abort by User in ${name[$i]}"
exit 1
}

# looking for git updates

run_git(){
git pull | while read LINE
do
if [ "$LINE" == "$revision_OK" ]; then
echo -e "\e[01;36m"${name[$i]} \> $revision_OK "\e[00m \n"
echo ""
else
make_
fi
done
}

# looking for svn updates

run_svn(){
oldrev=$(svn info |grep '^Revision: '|sed 's/Revision: //g')
svn up
newrev=$(svn info |grep '^Revision: '|sed 's/Revision: //g')
#newrev=""
if [ "$oldrev" == "$newrev" ]; then
echo -e "\e[01;36m"${name[$i]} \> $revision_OK "\e[00m \n"
else
if [ "${name[$i]}" == "kdenlive" ]; then
cd build
fi
make_
fi
}

# mlt

mlt(){
$fetch_mlt
cd ${name[$i]}
$mlt_conf
}

# frei0r

frei0r(){
$fetch_frei0r
cd ${name[$i]}
./autogen.sh
$frei0r_conf
}

# ffmpeg

ffmpeg(){
$fetch_ffmpeg
cd ${name[$i]}
$ffmpeg_conf
}

# kdenlive

kdenlive(){
$fetch_kdenlive
cd ${name[$i]}
mkdir build
cd build
$kdenlive_conf
}

# x264

x264(){
$fetch_x264
cd ${name[$i]}
$x264_conf
}

# make

make_(){
echo -e "\e[01;36m"Configure... make... \> ${name[$i]}"\e[00m"
make || failed
}

# looking if the dir kdenlive_SVN exist. if no, make_ it and run_all

if ! [ -d "$kdenlive_dir" ]; then
mkdir $kdenlive_dir
cd $kdenlive_dir
fi

# run all updates
# i=0 mlt i=1 frei0r... from index in name

echo -e "Starting Progress..." "\n"

for((i=0;i if [ -d $kdenlive_dir/${name[$i]} ]; then
cd $kdenlive_dir/${name[$i]}
echo -e "\e[01;36m"Update \> ${name[$i]}"\e[00m"
if [ -d $kdenlive_dir/${name[$i]}/.git ]; then
run_git
else
run_svn
fi
else
cd $kdenlive_dir
echo -e "\e[01;36mInitialized" ${name[$i]}"\e[00m \n"
${name[$i]}
make_
fi
done

if [ "$err" != "" ]; then
echo -e "\nSummary of \e[01;31m Errors"
for error in $err; do
echo -e $error" failure" "\e[00m"
# konsole --new-tab --workdir $kdenlive_dir/$i
done
echo -e "End of Summary Errors \n"

fi

echo "Done ..."

hey thanks for the script forty! I've tested and run into some problems, here's the end of the terminal output.

A kdenlive/po/sl/CMakeLists.txt
A kdenlive/po/sl/kdenlive.po
U kdenlive
Checked out revision 4339.
./kdenlive_script.sh: line 115: cmake_: command not found
Configure... make... > kdenlive
make: *** No targets specified and no makefile found. Stop.
Error 2 >>> Compiling kdenlive

Summary of Errors
ffmpeg failure
kdenlive failure
End of Summary Errors

Done ...

Yes, look at Line 30

kdenlive_conf="cmake_ .. -DCMAKE_INSTALL_PREFIX=/usr"
^^
must be

kdenlive_conf="cmake .. -DCMAKE_INSTALL_PREFIX=/usr"

cmake without _

Sorry for that :-)

Hi

i test but unlike the builder wizard it does not allow to build a version with all included in a particular tree ..

nyme